summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-07-14 16:42:58 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-07-14 16:55:52 +0200
commit03abcdd2fdabe81f0d54e156134c8b1c498aaa80 (patch)
tree7209215ea3bb387f1b1b02430977959df32b8206 /games-board/chessx/chessx-1.4.6.ebuild
parentdev-python/pyftpdlib: don't load the relaxed pytest plugin (diff)
downloadgentoo-03abcdd2fdabe81f0d54e156134c8b1c498aaa80.tar.gz
gentoo-03abcdd2fdabe81f0d54e156134c8b1c498aaa80.tar.bz2
gentoo-03abcdd2fdabe81f0d54e156134c8b1c498aaa80.zip
games-board/chessx: 1.4.6 version bump, build with Qt-5.11, fix l10n
Closes: https://bugs.gentoo.org/660536 Package-Manager: Portage-2.3.41, Repoman-2.3.9
Diffstat (limited to 'games-board/chessx/chessx-1.4.6.ebuild')
-rw-r--r--games-board/chessx/chessx-1.4.6.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/games-board/chessx/chessx-1.4.6.ebuild b/games-board/chessx/chessx-1.4.6.ebuild
new file mode 100644
index 00000000000..87b4a82b974
--- /dev/null
+++ b/games-board/chessx/chessx-1.4.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop qmake-utils
+
+DESCRIPTION="Qt5-based Chess Database Utility"
+HOMEPAGE="http://chessx.sourceforge.net/"
+SRC_URI="https://sourceforge.net/projects/chessx/files/chessx/${PV}/${P}.tgz"
+
+LICENSE="GPL-2+ LGPL-2+ LGPL-2.1+ ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-libs/zlib:="
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.0-zlib.patch
+ "${FILESDIR}"/${P}-qt-5.11.patch
+)
+
+src_prepare() {
+ default
+ "$(qt5_get_bindir)/lrelease" i18n/* || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ dobin release/${PN}
+ dodoc ChangeLog TODO
+ doicon data/images/${PN}.png
+ domenu unix/chessx.desktop
+}